Upstream information

CVE-2016-5008 at MITRE

Description

libvirt before 2.0.0 improperly disables password checking when the password on a VNC server is set to an empty string, which allows remote attackers to bypass authentication and establish a VNC session by connecting to the server.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 5.8
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None Partial
Integrity Impact Partial Partial
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 987527 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libvirt-devel >= 1.2.5-15.3
  • libvirt-devel-32bit >= 1.2.5-15.3
Patchnames:
sdksp4-libvirt-12674
SUSE Linux Enterprise Desktop 12 SP1
  • libvirt >= 1.2.18.4-11.7
  • libvirt-client >= 1.2.18.4-11.7
  • libvirt-client-32bit >= 1.2.18.4-11.7
  • libvirt-daemon >= 1.2.18.4-11.7
  • libvirt-daemon-config-network >= 1.2.18.4-11.7
  • libvirt-daemon-config-nwfilter >= 1.2.18.4-11.7
  • libvirt-daemon-driver-interface >= 1.2.18.4-11.7
  • libvirt-daemon-driver-libxl >= 1.2.18.4-11.7
  • libvirt-daemon-driver-lxc >= 1.2.18.4-11.7
  • libvirt-daemon-driver-network >= 1.2.18.4-11.7
  • libvirt-daemon-driver-nodedev >= 1.2.18.4-11.7
  • libvirt-daemon-driver-nwfilter >= 1.2.18.4-11.7
  • libvirt-daemon-driver-qemu >= 1.2.18.4-11.7
  • libvirt-daemon-driver-secret >= 1.2.18.4-11.7
  • libvirt-daemon-driver-storage >= 1.2.18.4-11.7
  • libvirt-daemon-lxc >= 1.2.18.4-11.7
  • libvirt-daemon-qemu >= 1.2.18.4-11.7
  • libvirt-daemon-xen >= 1.2.18.4-11.7
  • libvirt-devel >= 1.2.18.4-11.7
  • libvirt-doc >= 1.2.18.4-11.7
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1208
SUSE-SLE-SDK-12-SP1-2016-1208
SUSE-SLE-WE-12-SP1-2016-1208
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libvirt >= 1.2.5-15.3
  • libvirt-client >= 1.2.5-15.3
  • libvirt-client-32bit >= 1.2.5-15.3
  • libvirt-devel >= 1.2.5-15.3
  • libvirt-devel-32bit >= 1.2.5-15.3
  • libvirt-doc >= 1.2.5-15.3
  • libvirt-lock-sanlock >= 1.2.5-15.3
  • perl-Sys-Virt >= 1.2.5-4.2
Patchnames:
sdksp4-libvirt-12674
slessp4-libvirt-12674
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libvirt >= 1.2.18.4-11.7
  • libvirt-client >= 1.2.18.4-11.7
  • libvirt-client-32bit >= 1.2.18.4-11.7
  • libvirt-daemon >= 1.2.18.4-11.7
  • libvirt-daemon-config-network >= 1.2.18.4-11.7
  • libvirt-daemon-config-nwfilter >= 1.2.18.4-11.7
  • libvirt-daemon-driver-interface >= 1.2.18.4-11.7
  • libvirt-daemon-driver-libxl >= 1.2.18.4-11.7
  • libvirt-daemon-driver-lxc >= 1.2.18.4-11.7
  • libvirt-daemon-driver-network >= 1.2.18.4-11.7
  • libvirt-daemon-driver-nodedev >= 1.2.18.4-11.7
  • libvirt-daemon-driver-nwfilter >= 1.2.18.4-11.7
  • libvirt-daemon-driver-qemu >= 1.2.18.4-11.7
  • libvirt-daemon-driver-secret >= 1.2.18.4-11.7
  • libvirt-daemon-driver-storage >= 1.2.18.4-11.7
  • libvirt-daemon-lxc >= 1.2.18.4-11.7
  • libvirt-daemon-qemu >= 1.2.18.4-11.7
  • libvirt-daemon-xen >= 1.2.18.4-11.7
  • libvirt-devel >= 1.2.18.4-11.7
  • libvirt-doc >= 1.2.18.4-11.7
  • libvirt-lock-sanlock >= 1.2.18.4-11.7
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1208
SUSE-SLE-SERVER-12-SP1-2016-1208
SUSE-SLE-WE-12-SP1-2016-1208
SUSE Linux Enterprise Server 12-LTSS
  • libvirt >= 1.2.5-27.13.1
  • libvirt-client >= 1.2.5-27.13.1
  • libvirt-daemon >= 1.2.5-27.13.1
  • libvirt-daemon-config-network >= 1.2.5-27.13.1
  • libvirt-daemon-config-nwfilter >= 1.2.5-27.13.1
  • libvirt-daemon-driver-interface >= 1.2.5-27.13.1
  • libvirt-daemon-driver-libxl >= 1.2.5-27.13.1
  • libvirt-daemon-driver-lxc >= 1.2.5-27.13.1
  • libvirt-daemon-driver-network >= 1.2.5-27.13.1
  • libvirt-daemon-driver-nodedev >= 1.2.5-27.13.1
  • libvirt-daemon-driver-nwfilter >= 1.2.5-27.13.1
  • libvirt-daemon-driver-qemu >= 1.2.5-27.13.1
  • libvirt-daemon-driver-secret >= 1.2.5-27.13.1
  • libvirt-daemon-driver-storage >= 1.2.5-27.13.1
  • libvirt-daemon-lxc >= 1.2.5-27.13.1
  • libvirt-daemon-qemu >= 1.2.5-27.13.1
  • libvirt-daemon-xen >= 1.2.5-27.13.1
  • libvirt-doc >= 1.2.5-27.13.1
  • libvirt-lock-sanlock >= 1.2.5-27.13.1
Patchnames:
SUSE-SLE-SERVER-12-2018-1455
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libvirt-devel >= 1.2.18.4-11.7
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1208
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libvirt-client-32bit >= 1.2.18.4-11.7
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1208


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Server 12-LTSS libvirt Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP4 libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 15 libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS libvirt Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP1 libvirt Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP1 libvirt Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL libvirt Already fixed
SUSE Linux Enterprise Server 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Server 12 SP4-LTSS libvirt Already fixed
SUSE Linux Enterprise Server 15 SP1 libvirt Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libvirt Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libvirt Already fixed
SLES for SAP Applications 11 SP3 libvirt Released
SUSE CaaS Platform 4.0 libvirt Already fixed
SUSE Enterprise Storage 6 libvirt Already fixed
SUSE Linux Enterprise Desktop 11 SP4 libvirt Released
SUSE Linux Enterprise Desktop 12 libvirt Unsupported
SUSE Linux Enterprise Desktop 12 SP1 libvirt Released
SUSE Linux Enterprise Desktop 12 SP2 libvirt Already fixed
SUSE Linux Enterprise Desktop 12 SP3 libvirt Already fixed
SUSE Linux Enterprise Desktop 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Desktop 15 libvirt Already fixed
SUSE Linux Enterprise Desktop 15 SP1 libvirt Already fixed
SUSE Linux Enterprise Module for Basesystem 15 libvirt Already fixed
SUSE Linux Enterprise Module for Server Applications 15 libvirt Already fixed
SUSE Linux Enterprise Point of Service 11 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP2 LTSS libvirt Ignore
SUSE Linux Enterprise Server 11 SP3 libvirt Affected
SUSE Linux Enterprise Server 11 SP3 LTSS libvirt Released
SUSE Linux Enterprise Server 11 SP3-LTSS libvirt Affected
SUSE Linux Enterprise Server 11 SP4 libvirt Released
SUSE Linux Enterprise Server 11 SP4 perl-Sys-Virt Released
SUSE Linux Enterprise Server 11 SP4 LTSS libvirt Affected
SUSE Linux Enterprise Server 11 SP4-LTSS libvirt Released
SUSE Linux Enterprise Server 12 libvirt Released
SUSE Linux Enterprise Server 12 SP1 libvirt Released
SUSE Linux Enterprise Server 12 SP1-LTSS libvirt Affected
SUSE Linux Enterprise Server 12 SP2 libvirt Already fixed
SUSE Linux Enterprise Server 12 SP2-ESPOS libvirt Already fixed
SUSE Linux Enterprise Server 12 SP2-LTSS libvirt Already fixed
SUSE Linux Enterprise Server 12 SP3 libvirt Already fixed
SUSE Linux Enterprise Server 12 SP3-BCL libvirt Already fixed
SUSE Linux Enterprise Server 12 SP3-ESPOS libvirt Already fixed
SUSE Linux Enterprise Server 12 SP3-LTSS libvirt Already fixed
SUSE Linux Enterprise Server 12 SP4-ESPOS libvirt Already fixed
SUSE Linux Enterprise Server 15 libvirt Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL libvirt Already fixed
SUSE Linux Enterprise Server 15-LTSS libvirt Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 11 SP4 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 perl-Sys-Virt Released
SUSE Linux Enterprise Server for SAP Applications 12 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libvirt Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 libvirt Released
SUSE Linux Enterprise Software Development Kit 12 libvirt Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libvirt Released
SUSE Linux Enterprise Software Development Kit 12 SP2 libvirt Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP3 libvirt Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Workstation Extension 12 libvirt Released
SUSE Linux Enterprise Workstation Extension 12 SP1 libvirt Released
SUSE Linux Enterprise Workstation Extension 12 SP2 libvirt Already fixed
SUSE Manager Proxy 4.0 libvirt Already fixed
SUSE Manager Retail Branch Server 4.0 libvirt Already fixed
SUSE Manager Server 4.0 libvirt Already fixed
SUSE OpenStack Cloud 7 libvirt Already fixed
SUSE OpenStack Cloud 8 libvirt Already fixed
SUSE OpenStack Cloud 9 libvirt Already fixed
SUSE OpenStack Cloud Crowbar 8 libvirt Already fixed
SUSE OpenStack Cloud Crowbar 9 libvirt Already fixed


SUSE Timeline for this CVE

CVE page created: Sat Jul 2 11:47:56 2016
CVE page last modified: Fri Jan 20 13:02:23 2023